Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.viewer
Enum ViewerPreferences.DirectionEnum

    java.lang.Object
      java.lang.Enum<ViewerPreferences.DirectionEnum>
          org.pdfclown.documents.interaction.viewer.ViewerPreferences.DirectionEnum

All Implemented Interfaces:
  Serializable, Comparable<ViewerPreferences.DirectionEnum>

Enclosing class:
  ViewerPreferences

    public static enum ViewerPreferences.DirectionEnum

extends Enum<ViewerPreferences.DirectionEnum>

Predominant reading order for text [PDF:1.6:8.1].

Enum Constant Summary
`LeftToRight` Left to right.
`RightToLeft` Right to left.

Method Summary
`static ViewerPreferences.DirectionEnum` | `get(PdfName value)` Gets the direction corresponding to the given value.
`PdfName` | `getCode()`
`static ViewerPreferences.DirectionEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ViewerPreferences.DirectionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LeftToRight

    public static final ViewerPreferences.DirectionEnum LeftToRight

  Left to right.

### RightToLeft

    public static final ViewerPreferences.DirectionEnum RightToLeft

  Right to left.

Method Detail

### values

    public static ViewerPreferences.DirectionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ViewerPreferences.DirectionEnum c : ViewerPreferences.DirectionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ViewerPreferences.DirectionEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static ViewerPreferences.DirectionEnum get(PdfName value)

  Gets the direction corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.